package com.skholingua.android.menuitem;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Toast;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.

		switch (item.getItemId()) {
		case R.id.search:
			Toast.makeText(getApplicationContext(), "You Clicked on Search",
					Toast.LENGTH_SHORT).show();
			break;
		case R.id.add:
			Toast.makeText(getApplicationContext(), "You Clicked on Add",
					Toast.LENGTH_SHORT).show();
			break;
		case R.id.edit:
			Toast.makeText(getApplicationContext(), "You Clicked on Edit",
					Toast.LENGTH_SHORT).show();
			break;
		case R.id.share:
			Toast.makeText(getApplicationContext(),
					"You Clicked on Share, its menu inside a menu.",
					Toast.LENGTH_LONG).show();
			break;
		}
		return super.onOptionsItemSelected(item);
	}
}
